> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise.predexon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Orders

> Paginated list of orders, with filters by status, market, and time range

```http theme={null}
GET /v1/accounts/{accountId}/orders?limit=50&cursor=...
```

| Query param  | Type                | Description                                                                                                           |
| ------------ | ------------------- | --------------------------------------------------------------------------------------------------------------------- |
| `status`     | string              | Filter by status. Comma-separated for multiple values: `open`, `filled`, `cancelled`, `expired`, `pending`, `failed`. |
| `predexonId` | string              | Filter to a single canonical outcome.                                                                                 |
| `side`       | `"buy"` \| `"sell"` |                                                                                                                       |
| `from`       | timestamp           | ISO 8601 lower bound on `createdAt` (inclusive).                                                                      |
| `to`         | timestamp           | ISO 8601 upper bound (inclusive).                                                                                     |
| `limit`      | int                 | Max 200. Default 50.                                                                                                  |
| `cursor`     | string              | Opaque pagination token.                                                                                              |

**Response**

```json theme={null}
{
  "orders": [
    {
      "orderId": "ord_3e2b...",
      "predexonId": "px-abc123def456",
      "title": "Will Trump win the 2028 election?",
      "outcome": "Yes",
      "side": "buy",
      "type": "market",
      "status": "filled",
      "filled": "100",
      "averagePrice": "0.495",
      "amount": "50.00",
      "notional": "49.50",
      "fee": "0.50",
      "createdAt": "2026-05-06T12:00:00.214Z",
      "filledAt": "2026-05-06T12:00:00.832Z"
    }
  ],
  "nextCursor": "ord_9c8d..."
}
```

Results are ordered by `createdAt` descending (newest first). `nextCursor` is `null` on the last page.
